Package pygccxml :: Package declarations :: Module calldef :: Class free_function_t

# type free_function_t

source code

                   object --+
                            |
    declaration.declaration_t --+
                                |
                        calldef_t --+
                                    |
                       free_calldef_t --+
                                        |
                                       free_function_t

describes free function declaration

Instance Methods

__init__(self, *args, **keywords) | source code

Inherited from `free_calldef_t`: `__str__`, `create_decl_string`, `function_type` Inherited from `calldef_t`: `__eq__`, `i_depend_on_them` Inherited from `declaration.declaration_t`: `__lt__`, `__ne__`

Properties

Inherited from `calldef_t`: `argument_types`, `arguments`, `demangled_name`, `does_throw`, `exceptions`, `has_ellipsis`, `has_extern`, `optional_args`, `overloads`, `required_args`, `return_type`

Inherited from `declaration.declaration_t`: `attributes`, `cache`, `compiler`, `decl_string`, `demangled`, `is_artificial`, `location`, `mangled`, `name`, `parent`, `partial_decl_string`, `partial_name`, `top_parent`

Method Details

### __init__(self, *args, **keywords)
(Constructor)

source code

Overrides: declaration.declaration_t.__init__